Subject: Re: [bug#72867] [PATCH] gexp: Make 'local-file' follow symlinks.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 29 Aug 2024 12:10:09 +0200

Hello all.  Thank you to Nigko for sending the patch.

Nigko Yerden <[email-masked]> writes:
> This patch is the result of collective work of
> Florian Pelz <[email-masked]> and
> Nigko Yerden <[email-masked]>

All real contribution to this patch is Nigko’s work.
I contributed only the error location in a failed fix.

Ludovic Courtès <[email-masked]> writes:
> I haven’t read the thread above.  Could you come up with a test case
> that shows the problem being fixed?  (That is, the test should fail when
> run on current ‘master’.)

Nigko sums up the fixed issue in
<https://lists.gnu.org/archive/html/guix-devel/2024-08/msg00071.html>:
> pelzflorian (Florian Pelz) wrote:
>> Nonsense; it must have worked; 7.7 Wrapping Up lists
>> https://git.savannah.gnu.org/cgit/guile.git/tree/.guix/modules/guile-package.scm?id=cd57379b3df636198d8cd8e76c1bfbc523762e79
>> as proof.
> […]
> For me pulling from this channel with subsequent
>
> $ guix build [email-masked]
>
> throws an error ("No such file or directory" "GUILE-VERSION"). However,
>
> $ GUILE_LOAD_PATH= guix build [email-masked]
>
> , which emulates system without [1] in Guile load path, works like a charm.
> Thus, this repository behaves exactly as does the main branch of [2].
>
> Perhaps many systems (e.g. Guix on foreign distributions) indeed does not
> have [1] in Guile load path, and thus recipe from the Cookbook works for them.
>    Regards,
> Nigko
>
> [1] ~/.config/guix/current/share/guile/site/3.0/
> [2] https://gitlab.com/anigko/test-channel.git

There are currently no tests for `current-source-directory'.
To make a test case like in test/channels.scm, we would have to make
a new guile process or build process, I presume?

Regards,
Florian